Create knowledge folder
curl --request POST \
--url https://api-prod.usefini.com/v2/hc-folders/public \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"title": "<string>",
"description": "<string>",
"parentFolderId": "<string>"
}
'import requests
url = "https://api-prod.usefini.com/v2/hc-folders/public"
payload = {
"title": "<string>",
"description": "<string>",
"parentFolderId": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': '<content-type>'},
body: JSON.stringify({title: '<string>', description: '<string>', parentFolderId: '<string>'})
};
fetch('https://api-prod.usefini.com/v2/hc-folders/public', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Knowledge
Create knowledge folder
Create a folder in the knowledge tree.
POST
/
v2
/
hc-folders
/
public
Create knowledge folder
Use this route to add a new folder to the knowledge tree.
Headers
string
required
Bearer token containing your Fini workspace API key. Format:
Bearer fini_... The key needs write scope.string
required
application/jsonBody parameters
string
required
Folder title.
string
required
Folder description. Can be an empty string.
string
Parent folder ID for nesting. Omit for a top-level folder.
Response
Returns the created knowledge folder object. See Organize knowledge for the shared folder fields.Errors
400 Bad Request
400 Bad Request
The request body is malformed.
401 Unauthorized
401 Unauthorized
The API key is missing, malformed, revoked, or invalid.
403 Forbidden
403 Forbidden
The API key does not include the
write scope.404 or Not Acceptable
404 or Not Acceptable
The parent folder does not exist, or you attempted a structure change the tree does not allow.
Was this page helpful?
⌘I

